import type { _VNPixelBufferObservation } from "./VNPixelBufferObservation.js";
import type { _NSArray } from "../Foundation/NSArray.js";
export declare class _VNSaliencyImageObservation extends _VNPixelBufferObservation {
    static alloc(): _VNSaliencyImageObservation;
    static new(): _VNSaliencyImageObservation;
    init(): _VNSaliencyImageObservation;
    /**
     * @brief An array of bounds of salient objects within the image. Each box represents a distinct mode of the heat map.
     */
    salientObjects(): _NSArray | null;
}
